com.aliyun.svideosdk.common

## Class AliyunFontStyle

- java.lang.Object
- - AliyunObject
  - - com.aliyun.svideosdk.common.AliyunFontStyle

-     public class AliyunFontStyle
      extends AliyunObject

  字体样式

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AliyunFontStyle(ISource aFontSource)` v3.23.0 新增
    `AliyunFontStyle(ISource aFontSource, float aFontSize, AliyunTypeface aTypeface)` v3.23.0 新增
    `AliyunFontStyle(java.lang.String aFontPath, float aFontSize, AliyunTypeface aTypeface)` Deprecated. 使用 `AliyunFontStyle(ISource,float,AliyunTypeface)`替代

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getFontPath()` Deprecated. 使用 `getFontSource()`替代 获取文字路径或者名称 v3.22.0 新增
    `float` | `getFontSize()` 获取字体大小比例值 v3.22.0 新增
    `ISource` | `getFontSource()` 获取字体资源 v3.23.0 新增
    `AliyunTypeface` | `getTypeface()` 获取字形样式 v3.22.0 新增
    `void` | `setFontPath(java.lang.String aFontPath)` Deprecated. 使用 `setFontSource(ISource)`替代 设置字幕的文字名称或者路径，仅支持文字名称或者file://路径 v3.22.0 新增
    `void` | `setFontSize(float aFontSize)` 设置字体大小比例值 v3.22.0 新增
    `void` | `setFontSource(ISource fontSource)` 设置字体资源 v3.23.0 新增
    `void` | `setTypeface(AliyunTypeface aTypeface)` 设置字体字形样式 v3.22.0 新增

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AliyunFontStyle

          public AliyunFontStyle(java.lang.String aFontPath,
                                 float aFontSize,
                                 AliyunTypeface aTypeface)

      Deprecated. 使用 `AliyunFontStyle(ISource,float,AliyunTypeface)`替代

    - #### AliyunFontStyle

          public AliyunFontStyle(ISource aFontSource)

      v3.23.0 新增

    - #### AliyunFontStyle

          public AliyunFontStyle(ISource aFontSource,
                                 float aFontSize,
                                 AliyunTypeface aTypeface)

      v3.23.0 新增

  - ### Method Detail

    - #### getFontPath

          public java.lang.String getFontPath()

      Deprecated. 使用 `getFontSource()`替代 获取文字路径或者名称 v3.22.0 新增

    - #### setFontPath

          public void setFontPath(java.lang.String aFontPath)

      Deprecated. 使用 `setFontSource(ISource)`替代 设置字幕的文字名称或者路径，仅支持文字名称或者file://路径 v3.22.0 新增
      Parameters:
        `aFontPath` - 文字名称或者file://路径

    - #### getFontSource

          public ISource getFontSource()

      获取字体资源 v3.23.0 新增

    - #### setFontSource

          public void setFontSource(ISource fontSource)

      设置字体资源 v3.23.0 新增

    - #### getFontSize

          public float getFontSize()

      获取字体大小比例值 v3.22.0 新增

    - #### setFontSize

          public void setFontSize(float aFontSize)

      设置字体大小比例值 v3.22.0 新增
      Parameters:
        `aFontSize` - 字体大小相对于屏幕宽高最小边的比例值

    - #### getTypeface

          public AliyunTypeface getTypeface()

      获取字形样式 v3.22.0 新增

    - #### setTypeface

          public void setTypeface(AliyunTypeface aTypeface)

      设置字体字形样式 v3.22.0 新增
      Parameters:
        `aTypeface` - 字体样式
      See Also:
        `AliyunTypeface`